v2.0

put

/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/settings/cohortlimits

Saves cohort limits by study and mode. Rights: SubjectSettingRightsPost.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
Supported Media Types
Request Body - */* ()
Root Schema : CohortLimitList
Type: object
Title: CohortLimitList
Contains list of cohort limits.
Show Source
Nested Schema : cohortLimits
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 2147483647
Show Source
Nested Schema : CohortLimit v3.0
Type: object
Title: CohortLimit v3.0
Response object containing cohort limit details.
Show Source
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Cohort Limit v2.0
Type: object
Title: Cohort Limit v2.0
Response object containing cohort limit details.
Show Source
Example:
{
    "cohortId":"B1B8327AFAA6412287106192AB5984EF",
    "stratumId":"C36A3197FDEE433FB5547EE83DE99E4B",
    "randomizationLimit":100,
    "notificationLimit":80,
    "enabled":true
}
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top